#include <bits/stdc++.h>

using ll = long long;

using namespace std;

void solve() {
    ll n;
    cin >> n;
    ll k = 0;
    vector<pair<ll, ll>> P(n);
    ll mx = 0;
    for (ll i = 0; i < n; i++) {
        ll a, b;
        cin >> a >> b;
        k += a;
        mx = max(mx, k);
        P[i] = {a, b};
    }
    vector<ll> p(n);
    for (ll i = 0; i < n; i++) {
        cin >> p[i];
    }
    cout << mx << '\n';
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    ll t = 1;
    //cin >> t;
    for (ll i = 0; i < t; i++) {
        solve();
    }
    return 0;
}
